# Uses of Class
org.astrogrid.samp.xmlrpc.internal.InternalServer

Packages that use InternalServer
Package
Description
org.astrogrid.samp.web
Classes relating to the SAMP Web Profile.
org.astrogrid.samp.xmlrpc.internal
Implementation of pluggable XML-RPC layer which requires no external dependencies.

## Uses of InternalServer in org.astrogrid.samp.web

Methods in org.astrogrid.samp.web that return InternalServer
Modifier and Type
Method
Description
`InternalServer`
WebHubProfile.ServerFactory.`createSampXmlRpcServer()`
Returns a new internal server.

## Uses of InternalServer in org.astrogrid.samp.xmlrpc.internal

Subclasses of InternalServer in org.astrogrid.samp.xmlrpc.internal
Modifier and Type
Class
Description
`class`
`RpcLoggingInternalServer`
InternalServer subclass which additionally logs all XML-RPC calls/responses to an output stream.
`class`
`XmlLoggingInternalServer`
Freestanding InternalServer implementation which logs all incoming and outgoing HTTP data.